Package org.eclipse.birt.chart.script

# Interface IChartScriptContext

All Superinterfaces:
  `IScriptContext`, `Serializable`

All Known Implementing Classes:
  `ChartScriptContext`

public interface IChartScriptContext extends IScriptContext
This interface allows the script to get access to common chart varialbes and communicate with an external context. It is available in version 2, both in Java and JavaScript. It deprecates the JavaScript global functions.

## Method Summary

Modifier and Type
Method
Description
`Chart`
`getChartInstance()`

### Methods inherited from interface org.eclipse.birt.chart.script.IScriptContext

`getExternalContext, getLocale, getLogger, getProperty, getULocale, setProperty`

## Method Details

### getChartInstance

Chart getChartInstance()

Returns:
  Returns a runtime instance of the chart,or null if not available yet.